{% from "packages/components/header/macro.njk" import header %}
{% from "packages/components/footer/macro.njk" import footer %}
{% from "macros/hce-footer.njk" import hceFooter %}
{% from "packages/components/skip-link/macro.njk" import skipLink %}
{% from "packages/components/back-link/macro.njk" import backLink %}
{% from "macros/hce-secondary-nav.njk" import hceSecondaryNav %}

<!DOCTYPE html>
<!--[if lt IE 9]><html class="ie8" lang="en"><![endif]-->
<!--[if IE 9]><html class="ie9" lang="en"><![endif]-->
<!--[if gt IE 9]><!-->
<html lang="en">
  <!--<![endif]-->
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="robots" content="noindex">
    <meta property="csp-nonce" content="{{ scriptNonce }}">
    <meta name="path" content="{{ contextPath }}" />

    <title>{{ title|safe }}</title>

    <link href="https://www.nhs.uk/" rel="preconnect">
    <link href="https://assets.nhs.uk/" rel="preconnect" crossorigin>

    <link type="font/woff2" href="https://assets.nhs.uk/fonts/FrutigerLTW01-55Roman.woff2" rel="preload" as="font" crossorigin>
    <link type="font/woff2" href="https://assets.nhs.uk/fonts/FrutigerLTW01-65Bold.woff2" rel="preload" as="font" crossorigin>

    <link href="{{ contextPath }}/assets/nhsuk.css" rel="stylesheet">
    
    <!-- favicons -->
    <link rel="shortcut icon" href="{{ contextPath }}/assets/favicons/favicon.ico" type="image/x-icon">
    <link rel="apple-touch-icon" href="{{ contextPath }}/assets/favicons/apple-touch-icon-180x180.png">
    <link rel="mask-icon" href="{{ contextPath }}/assets/favicons/favicon.svg" color="#005eb8">
    <link rel="icon" sizes="192x192" href="{{ contextPath }}/assets/favicons/favicon-192x192.png">
    <meta name="msapplication-TileImage" content="{{ contextPath }}/assets/favicons/mediumtile-144x144.png">
    <meta name="msapplication-TileColor" content="#005eb8">
    <meta name="msapplication-square70x70logo" content="{{ contextPath }}/assets/favicons/smalltile-70x70.png">
    <meta name="msapplication-square150x150logo" content="{{ contextPath }}/assets/favicons/mediumtile-150x150.png">
    <meta name="msapplication-wide310x150logo" content="{{ contextPath }}/assets/favicons/widetile-310x150.png">
    <meta name="msapplication-square310x310logo" content="{{ contextPath }}/assets/favicons/largetile-310x310.png">

    {# <script nonce="{{ scriptNonce }}" src="{{ contextPath }}/assets/js/cookie-consent.js" type="text/javascript" data-cookieconsent="necessary" data-nonce="{{ scriptNonce }}" data-policy-url="{{ contextPath }}/cookies"></script> #}

    <!-- Global site tag (gtag.js) - Google Analytics -->
    <script nonce="{{ scriptNonce }}" async src="https://www.googletagmanager.com/gtag/js?id={{ gaTrackingId }}" type="text/plain" data-cookieconsent="statistics"></script>
    <script nonce="{{ scriptNonce }}" data-cookieconsent="statistics">
      window.dataLayer = window.dataLayer || [];
      function gtag(){dataLayer.push(arguments);}
      gtag('js', new Date());

      gtag('config', '{{ gaTrackingId }}');
    </script>

    <!--[if !IE 8]><!-->
      <link href="{{ contextPath }}/assets/styles/all.css" rel="stylesheet"/>
    <!--<![endif]-->  

    {# For Internet Explorer 8, you need to compile specific stylesheet #}
    {# see https://github.com/alphagov/govuk-frontend/blob/master/docs/installation/supporting-internet-explorer-8.md #}
    <!--[if IE 8]>
      <link href="/govuk-frontend/all-ie8.css" rel="stylesheet" />
    <![endif]-->

    {# For older browsers to allow them to recognise HTML5 elements such as `<header>` #}
    <!--[if lt IE 9]>
      <script src="/html5-shiv/html5shiv.js"></script>
    <![endif]-->
    <script nonce="{{ scriptNonce }}" async src="{{ contextPath }}/assets/js/custom.js"></script>
    <script nonce="{{ scriptNonce }}" src="{{ contextPath }}/assets/nhsuk.js" defer></script>
    <script nonce="{{ scriptNonce }}" src="{{ contextPath }}/assets/nhsuk.min.js" defer></script>
  </head>
  <body class="{{ body_class }}">
    <script nonce="{{ scriptNonce }}">document.body.className = ((document.body.className) ? document.body.className + ' js-enabled' : 'js-enabled');</script>
    
    {% block header %}
      {{ skipLink({
      "href": "#maincontent",
      "text": "Skip to main content",
      "attributes": {
        "role": "button"
      }
      }) }}
      {{ header({
        "service": {
          "name": "HRT PPC Telesales",
          "longName": "true"
        },
        "classes": "nhsbsa-full-width-header",
        "ariaLabel": "HRT PPC Telesales",
        "showNav": "false",
        "showSearch": "false",
        "homeHref": contextPath
        })
      }}
      
      {{ hceSecondaryNav({
          "signoutUrl": signoutUrl,
          "username": username,
          "signoutText": signoutText 
        })
      }}

    {% endblock %}
 
    {% block content %}
      <div class="nhsuk-width-container-fluid">
        <main class="nhsuk-main-wrapper" id="maincontent">
          <div class="nhsuk-grid-row">
            <div class="nhsuk-grid-column-full">
              {% block pageContent %}{% endblock %}
            </div>
          </div>
        </main>
      </div>
    {% endblock %}

    {% block footer %}
      {{ hceFooter({
        "links": [
          {
            "ID": "footer-accessibility-link",
            "URL": "https://nhsbsauk.sharepoint.com/sites/Accessibility/SitePages/Accessibility-statement-for-Hormone-Replacement-Therapy-Prescription-Prepayment-Certificate-(HRT-PPC)-Telesales.aspx",
            "label": footerAccessibilityLink,
            "newTab": true
          }
        ]
      })}}
      <!-- {{ appVersion }} -->
      <!-- {{ locator }} -->
    {% endblock %}

    {% block bodyEnd %}
      {# Run JavaScript at end of the <body>, to avoid blocking the initial render. #}
    {% endblock %}
  </body>
</html>